#ifndef _Bezier_HPP_
#define _Bezier_HPP_

#include "externs.hpp"

class Bezier
{
public:
    Bezier();
    Bezier(int pointcount);
    ~Bezier();

    //point = piste, tangent = suunta (sisältää jo pisteen paikan)
    void addPoint(Vector &point, Vector &tangent);
    void setPoint(int index, Vector &point, Vector &tangent);
    
    Vector getValue(float t);

    Vector *points;
    Vector *tangents;

private:
    int pointindex;
    int pcount;


};



#endif
